Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000366Frama-CPlug-in > jessiepublic2010-01-04 23:242014-02-12 16:55
Reporterdwheeler 
Assigned Tomonate 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Beryllium-20090902 
Target VersionFixed in VersionFrama-C Boron-20100401 
Summary0000366: Unicode minus sign (U+2212) not accepted by Jessie, yet used in documentation, causing mysterious failure
DescriptionThe Jessie tutorial:
 http://frama-c.cea.fr/jessie_tutorial_index.html [^]
includes many examples, but cutting and pasting from them
produces mysterious, hard-to-understand failures.

The problem is that the HTML (and probably PDF) uses Unicode U+2212
("Minus sign") as the subtraction operator;
You can see this by searching for "−" in the HTML.
Frama-C/Jessie does not accept this; they
expect U+002D ("hyphen-minus") instead.

I recommend that Frama-C/Jessie be changed so that U+2122 is
permitted as an alternative to "-", just as many other
Unicode characters are already accepted.

In addition, the documentation should perhaps be changed to use "-"
so that it will work with older systems
that do not cut-and-paste this character correctly.
On my system, the difference is a pixel or two, and is thus
difference is rather hard to detect.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-01-04 23:24 dwheeler New Issue
2010-01-04 23:24 dwheeler Status new => assigned
2010-01-04 23:24 dwheeler Assigned To => cmarche
2010-01-05 08:40 signoles Assigned To cmarche => monate
2010-01-14 13:58 svn Checkin
2010-01-14 13:58 svn Status assigned => resolved
2010-01-14 13:58 svn Resolution open => fixed
2010-04-13 15:30 signoles Status resolved => new
2010-04-13 15:31 signoles Status new => closed
2010-04-13 15:33 signoles Fixed in Version => Frama-C Boron


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker